Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 280447)
+++ channels/chan_sip.c	(working copy)
@@ -24030,6 +24030,8 @@
 				}
 				ast_log(LOG_NOTICE, "Disconnecting call '%s' for lack of RTP activity in %ld seconds\n",
 					dialog->owner->name, (long) (t - dialog->lastrtprx));
+				manager_event(EVENT_FLAG_CALL, "SessionTimeout", "Source: RTPTimeout\r\n"
+								"Channel: %s\r\nUniqueid: %s\r\n", dialog->owner->name, dialog->owner->uniqueid);
 				/* Issue a softhangup */
 				ast_softhangup_nolock(dialog->owner, AST_SOFTHANGUP_DEV);
 				ast_channel_unlock(dialog->owner);
@@ -24260,7 +24262,8 @@
 				}
 				sip_pvt_lock(p);
 			}
-
+			manager_event(EVENT_FLAG_CALL, "SessionTimeout", "Source: SIPSessionTimer\r\n"
+							"Channel: %s\r\nUniqueid: %s\r\n", p->owner->name, p->owner->uniqueid);
 			ast_softhangup_nolock(p->owner, AST_SOFTHANGUP_DEV);
 			ast_channel_unlock(p->owner);
 			sip_pvt_unlock(p);
